totem(1)

NAME
totem - GNOME-desktop movie player based on the xine backend

SYNOPSIS
totem [option...] [filenames|URI]

DESCRIPTION
totem is a movie player for the GNOME desktop. Through use of the xine backend many popular file and streaming formats are supported including: MPEG audio and video (MP3/MPV), Ogg, AVI, ASF, MOV, WMV, Quicktime, and more. Playing of DVD and VCD media is usually possible if you have the appropriate drive. Although primarily intended as a movie player, totem can also play many audio formats.

For additional documentation on interactive use of totem select the Help menu option. The menus allow access to some features not available through keybindings or command-line options.

OPTIONS

--usage
    Output a brief synopsis of command options then quit.

-?, --help
    Output a longer help message then quit. (Any discrepancies between this man page and the output of totem --help should be reported as a documentation bug.)

--version
    Output version information then quit.

The following options command an already running instance of totem to do something; they are useful for remote-control scripting:

--play-pause
    Tell an already running instance of totem to toggle between play and pause.

--play
    Tell an already running instance of totem to play (has no effect if already playing)

--pause
    Tell an already running instance of totem to pause (has no effect if already paused)

--next
    Tell an already running instance of totem to skip to the next movie or chapter in the playlist.

--previous
    Tell an already running instance of totem to return to the previous movie or chapter in the playlist.

--seek-fwd
    Tell an already running instance of totem to seek forwards 15 seconds in the current movie.

--seek-bwd
    Tell an already running instance of totem to seek backwards 15 seconds in the current movie.

--volume-up
    Tell an already running instance of totem to raise the volume by 8%.

--volume-down
    Tell an already running instance of totem to lower the volume by 8%.

--fullscreen
    Tell an already running instance of totem to toggle fullscreen mode.

--quit
    Tell an already running instance of totem to quit.

--enqueue filename|URI
    Tell an already running instance of totem to add a new stream to the playlist.

--replace filename|URI
    Tell an already running instance of totem to play from the playlist.

The following options are standard to applications using the GDK and GTK+ libraries:

--gdk-debug=flags
    GDK debugging flags to set.

--gdk-no-debug=flags
    GDK debugging flags to unset.

--display=display
    X display to use

--screen=screen
    X screen to use.

--sync
    Make X calls synchronous to facilitate debugging.

--name=name
    Program name as used by the window manager.

--class=class
    Program class a sused by the window manager.

--gxid-host=host

--gxid-port=port

--g-fatal-warnings
    Make all warnings fatal.

--gtk-debug=flags
    GTK+ debugging flags to set.

--gtk-no-debug=flags
    GTK+ debugging flags to unset

--gtk-module=module
    Load an additional GTK module.

The following options are for Bonobo activation support

--oaf-ior-fd=fd
    File descriptor to print IOR on

--oaf-activate-iid=iid
    IID to activate.

--oaf-private
    Prevent registering of server with OAF

The following are standard GNOME options:

--disable-sound
    Disable sound server use.

--enable-sound
    Enable sound server use.

--espeaker=hostname:port
    Specify the host and port on which the sound server is listening.

--disable-crash-dialog
    Disable the crash-reporting dialog.

The following options are for session management:

--sm-client-id=ID
    Specify session management ID

--sm-config-prefix=prefix
    Specify prefix of saved configuration

--sm-disable
    Disable connecting to session manager.

KEYBINDINGS
Global keybindings for totem:

i    toggle interlacing on and off
a    cycle between aspect ratios
p    toggle between play and pause
Esc    exit full screen mode
f    toggle full screen
h    toggle display of on-screen controls
0    resize window to 50% original size
1    resize window to 100% original size
2    resize window to 200% original size
r    zoom in the video
t    zoom out the video
d    start and stop the telestrator (drawing) mode
e    erase the drawing
Left-arrow skip back 15 seconds
Right-arrow skip forward 15 seconds
Shift+Left-arrow skip back 5 seconds
Shift+Right-arrow skip forward 15 seconds
Ctrl+Left-arrow skip back 3 minutes
Ctrl+Right arrow skip forward 10 minutes
s    show the "Skip to..." dialog
Up-arrow    increase volume by 8%
Down-arrow    decrease volume by 8%
b    jump back to previous chapter/movie in playlist
n    jump to next chapter/movie in playlist
q    quit
s    show the "skip to" dialog
Ctrl-E eject the playing optical media
Ctrl-O    open a new file
Ctrl-L    open a new URI
Ctrl-P    toggle display of the playlist
m    show the DVD menu
c    show the DVD chapter menu

BUGS
totem cannot play files using some proprietary codecs.

AUTHOR
totem was written by Bastien Nocera <hadess@hadess.net>. This manual page was written by Andre Lehovich for the Debian Project.

DISTRIBUTION
The latest version of Totem may be downloaded from <http://www.hadess.net/totem.php3> (http://www.hadess.net/totem.php3)

SEE ALSO
totem-video-thumbnailer(1), xine(1)

The online documentation available through the program's Help menu.